Print Friendly

# Class Ext.UpdateManager.BasicRenderer

Package: | Ext
Class: | UpdateManager.BasicRenderer
Extends: | Object
Defined In: | UpdateManager.js

Default Content renderer. Updates the elements innerHTML with the responseText.
Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| render(`Ext.Element el`, `Object response`, `UpdateManager updateManager`, `Function callback`) : void | UpdateManager.BasicRenderer
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the...

## Public Events

This class has no public events.

## Method Details

### render

`public function render(`Ext.Element el`, `Object response`, `UpdateManager updateManager`, `Function callback`)`
This is called when the transaction is completed and it's time to update the element - The BasicRenderer updates the elements innerHTML with the responseText - To perform a custom render (i.e. XML or JSON processing), create an object with a "render(el, response)" method and pass it to setRenderer on the UpdateManager.
Parameters:

- `el` : Ext.Element
  The element being rendered
- `response` : Object
  The YUI Connect response object
- `updateManager` : UpdateManager
  The calling update manager
- `callback` : Function
  A callback that will need to be called if loadScripts is true on the UpdateManager

Returns:

- `void`

This method is defined by UpdateManager.BasicRenderer.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.